/* CSS Reset */
/*
	- The "margin" property changes the amount of space between the "border" and it's surrounding elements. This is commonly used to create space between elements.
	- Even though a "border" property of an element does not have a value and is not visible in the browser, it serves as a basis to create space between elements.
	- The "padding" property changes the amount of space between the "border" and "content" of an element. This is commonly used to position contents of an element.
	- All HTML elements have default values for their "margin" and "padding" properties. Giving them the value of "0" makes it easier for us to manipulate the sizes and positioning of elements.
	- The "box-sizing" property defines how the width and height of an element are calculated.
	. This will allow us to control the measurements of elements better.
	- The value "border-box" includes the "padding" and "border" properties of an element to the total height and width in it's computation.
*/

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	font-family: 'Open Sans', sans-serif;
}

nav {
	/*shorthand property*/
	/*Applied padding to all sides*/
	/*Value is 12.8 pixels based on the root element*/
	/*Creates space from between the ul tag and the nav element*/
	padding: 0.8rem;
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
	list-style-type: none;
}

nav .nav, nav .nav-logo {
	/*short hand*/
	margin: 0.5rem;
	/*margin-top: 0.5rem;
	margin-right: 0.5rem;
	margin-bottom: 0.5rem;
	margin-left: 0.5rem;*/
	/* changes elements to inline elements */
	display: inline;
}

#intro {
	/* creates a space between the content of the intro section and its border */
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	/* syntax for shorthand */
	/*
		padding/margin: topvalue rightvalue leftvalue bottomvalue;

		padding/margin: topvalue RLvalue bottomvalue;
	*/


	/* aligns the text to center */
	text-align: center;
}

.header {
	/*best used when horizontally aligning text instead of using margin and padding*/
	text-align: center;

}

#intro h2, #intro p {
	/*creates space between the contents of the intro section*/
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/*changes the thickness of text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	/*creates a space between the button text and the border*/
	padding: 1rem;
}

/*succeed info section*/
#succeed-info {
	padding: 2rem 10% 3rem;
}

#succeed-info h2 {
	/*creates space between the header and the card section*/
	margin-bottom: 1rem;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

#succeed-info .card {
	/*allows the cards to appear beside each other*/
	display: inline-block;
	/*aligns the element with the tallest element in line*/
	/*this is use with "inline-block"*/
	vertical-align: top;
	/*allows cards to have equal height that adjust with the content*/
	min-height: 175px;
	width: 30%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

footer {
	padding: 0.7rem;
}

footer span {
	/*shorthand for left and right*/
/*	margin: 0.5rem .5rem;*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}


#pre-footer div {
	display: inline-block;
	vertical-align: top;
	min-height: 135px;
	margin-left: 20px;
	margin-right: 135px;

}

#pre-footer {
	background-color: #002540;
	padding-top: 15px;

}

#pre-footer h3, #pre-footer p {
	margin-right: 20px;
}